package es.uv.saic.feign;

import java.util.List;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import es.uv.saic.domain.Usuari;
import es.uv.saic.dto.RolDTO;
import es.uv.saic.dto.UsuariDTO;

@FeignClient(name = "saic-core-service", contextId = "usuari-controller")
public interface UsuariClient {
    @PostMapping("/grantedUser")
    public boolean isGrantedUser(@RequestBody Usuari usuari);

    @PostMapping("/grantedSupervisor")
    public boolean isGrantedSupervisor(@RequestBody Usuari usuari);

    @GetMapping("/find/allRols")
    public List<RolDTO> findAllRols();

    @GetMapping("/find/assignables")
    public List<RolDTO> findAssignables();

    @GetMapping("/find/allUsers")
    public List<UsuariDTO> findAllUsers();
}
